Subject: bug#36114: Can't run preview latex after deleting prv files

From: Arash Esbati <[email-masked]>
Date: Fri, 08 Mar 2024 21:56:53 +0100

Berthold Lorke <[email-masked]> writes:

> When running preview latex the first time on a document, everything is
> fine.
> But then when I delete the created folder _region_.prv and the files
> _region_.log, prv_test.fmt, prv_test.log and _region_.tex, I can not run
> preview latex (say with C-c C-p C-b)  anymore, it gives me the following
> error
>
>
> Running `Preview-LaTeX' on `~/junk/_region_' with ``lualatex  -interaction=nonstopmode -file-line-error \&prv_test "/AUCTEXINPUT{" _region_.tex "}"''
> This is LuaTeX, Version 1.07.0 (TeX Live 2018/Arch Linux) 
>  restricted system commands enabled.
>
> kpathsea: Running mktexfmt prv_test.fmt
> mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
> mktexfmt:   /etc/texmf/web2c/fmtutil.cnf
> mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
> mktexfmt:   /home/berber/.texlive/texmf-config/web2c/fmtutil.cnf
> mktexfmt [INFO]: writing formats under /home/berber/.texlive/texmf-var/web2c
> mktexfmt [INFO]: did not find entry for byfmt=prv_test, skipped
> mktexfmt [INFO]: Disabled formats: 6
> mktexfmt [INFO]: Not selected formats: 36
> mktexfmt [INFO]: Total formats: 42
> mktexfmt [INFO]: exiting with status 0
> Sorry, I can't find the format `prv_test.fmt'; will try `prv_test.fmt'.
>
> kpathsea: Running mktexfmt prv_test.fmt
> mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
> mktexfmt:   /etc/texmf/web2c/fmtutil.cnf
> mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
> mktexfmt:   /home/berber/.texlive/texmf-config/web2c/fmtutil.cnf
> mktexfmt [INFO]: writing formats under /home/berber/.texlive/texmf-var/web2c
> mktexfmt [INFO]: did not find entry for byfmt=prv_test, skipped
> mktexfmt [INFO]: Disabled formats: 6
> mktexfmt [INFO]: Not selected formats: 36
> mktexfmt [INFO]: Total formats: 42
> mktexfmt [INFO]: exiting with status 0
> I can't find the format file `prv_test.fmt'!
>
> TeX Output exited as expected with code 1 at Mon Jun  3 16:17:28
> LaTeX: LaTeX found no preview images
>
>
> Also see
> https://emacs.stackexchange.com/questions/50829/preview-latex-doesnt-work-when-i-delete-the-region-prv-folder
>
> I want it to be as if I never ran preview latex, so that I can run it
> again.
> There must be some entry in some other file that gets created that I
> have to remove.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't understand the intention behind it: If you start preview with
'C-c C-p C-b', you're fine, but why do delete the files above
unconditionally?  Remove them after your session, or use 'C-c C-p C-c
C-b' to delete them.

Best, Arash